Package org.linphone.core

# Interface Participant

public interface Participant
Identifies a member of a `Conference` or `ChatRoom`.
A participant is identified by it's SIP address. It can have many `ParticipantDevice`
.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Participant.Role`

## Method Summary

Modifier and Type
Method
Description
`ParticipantDevice`
`findDevice(Address address)`
Find a device in the list of devices from a chat room's participant.
`ParticipantDevice`
`findDevice(Call call)`
Find a device in the list of devices from a chat room's participant.
`Address`
`getAddress()`
Gets the address of a conference participant.
`long`
`getCreationTime()`
Gets the timestamp of the creation of the participant.
`ParticipantDevice[]`
`getDevices()`
Gets the list of devices from a chat room's participant.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Participant.Role`
`getRole()`
Gets the role of the participant within the conference.
`ChatRoom.SecurityLevel`
`getSecurityLevel()`
Gets the security level of a participant.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`isAdmin()`
Tells whether a conference participant is an administrator of the conference.
`boolean`
`isFocus()`
Tells whether a conference participant is the focus of the conference.
`boolean`
`isMe()`
Tells whether a participant is Me.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getAddress

@NonNull Address getAddress()
Gets the address of a conference participant.

Returns:
  The `Address` of the participant

### getCreationTime

long getCreationTime()
Gets the timestamp of the creation of the participant.

Returns:
  time of creation of the participant as returned by time(nullptr). For
  UNIX based systems it is the number of seconds since 00:00hours of the 1st of
  January 1970

### getDevices

@NonNull ParticipantDevice[] getDevices()
Gets the list of devices from a chat room's participant.

Returns:
  List of devices. A list of `ParticipantDevice` objects.

### isAdmin

boolean isAdmin()
Tells whether a conference participant is an administrator of the conference.

Returns:
  A boolean value telling whether the participant is an administrator

### isFocus

boolean isFocus()
Tells whether a conference participant is the focus of the conference.

Returns:
  A boolean value telling whether the participant is a focus of a
  conference

### isMe

boolean isMe()
Tells whether a participant is Me.
If the default account is not defined then it will be true if the participant
is local.

Returns:
  true if the participant is me, false otherwise.

### getRole

Participant.Role getRole()
Gets the role of the participant within the conference.

Returns:
  role within the conference `Participant.Role`

### getSecurityLevel

ChatRoom.SecurityLevel getSecurityLevel()
Gets the security level of a participant.

Returns:
  The `ChatRoom#SecurityLevel` of the participant

### findDevice

@Nullable ParticipantDevice findDevice(@NonNull Call call)
Find a device in the list of devices from a chat room's participant.

Parameters:
  `call` - A `Call` object
Returns:
  a `ParticipantDevice` or null if not found.

### findDevice

@Nullable ParticipantDevice findDevice(@NonNull Address address)
Find a device in the list of devices from a chat room's participant.

Parameters:
  `address` - A `Address` object
Returns:
  a `ParticipantDevice` or null if not found.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`